io.undertow.protocols.ssl

## Class SNISSLContext

- java.lang.Object
- - javax.net.ssl.SSLContext
  - - io.undertow.protocols.ssl.SNISSLContext

    public class SNISSLContext
    extends SSLContext

### Constructor Summary

Constructors
Constructor and Description
`SNISSLContext(SNIContextMatcher matcher)`

### Method Summary

### Methods inherited from class javax.net.ssl.SSLContext

`createSSLEngine, createSSLEngine, getClientSessionContext, getDefault, getDefaultSSLParameters, getInstance, getInstance, getInstance, getProtocol, getProvider, getServerSessionContext, getServerSocketFactory, getSocketFactory, getSupportedSSLParameters, init, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SNISSLContext

    public SNISSLContext(SNIContextMatcher matcher)